ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.123 by root, Sun Dec 23 02:43:54 2007 UTC vs.
Revision 1.125 by root, Sun Jan 6 21:34:57 2008 UTC

694PERLPRIVLIBEXP 694PERLPRIVLIBEXP
695IF_PERL 695IF_PERL
696PERL_O 696PERL_O
697AFTERIMAGE_CFLAGS 697AFTERIMAGE_CFLAGS
698AFTERIMAGE_LIBS 698AFTERIMAGE_LIBS
699include_stdint_h
700include_sys_ioctl_h
701include_sys_strredir_h
702LIBOBJS 699LIBOBJS
703LTLIBOBJS' 700LTLIBOBJS'
704ac_subst_files='' 701ac_subst_files=''
705 ac_precious_vars='build_alias 702 ac_precious_vars='build_alias
706host_alias 703host_alias
1296 1293
1297Optional Features: 1294Optional Features:
1298 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 1295 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
1299 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 1296 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
1300 --enable-everything enable standard non-multichoice features 1297 --enable-everything enable standard non-multichoice features
1301 NOTE: this option is order dependent 1298 NOTE: this option is order dependent
1302 --enable-warnings turn on g++ warnings 1299 --enable-warnings turn on g++ warnings
1303 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters 1300 --enable-unicode3 use 21 instead of 16 bits to represent unicode characters
1304 --enable-combining enable composition of base and combining characters 1301 --enable-combining enable composition of base and combining characters
1305 --enable-xft enable xft support on systems that have it 1302 --enable-xft enable xft support on systems that have it
1306 --enable-font-styles enable bold and italic support 1303 --enable-font-styles enable bold and italic support
1307 --enable-afterimage enable integration with libAfterImage for background images 1304 --enable-afterimage enable integration with libAfterImage for background images
1308 --enable-transparency enable transparent backgrounds 1305 --enable-transparency enable transparent backgrounds
1309 --enable-fading enable colors fading when off focus 1306 --enable-fading enable colors fading when off focus
1310 --enable-rxvt-scroll enable rxvt style scrollbar 1307 --enable-rxvt-scroll enable rxvt style scrollbar
1311 --enable-next-scroll enable NeXT style scrollbar 1308 --enable-next-scroll enable NeXT style scrollbar
1312 --enable-xterm-scroll enable Xterm style scrollbar 1309 --enable-xterm-scroll enable Xterm style scrollbar
4369fi 4366fi
4370 4367
4371fi 4368fi
4372 4369
4373 4370
4374
4375support_frills=yes 4371support_frills=yes
4376support_inheritpixmap=yes 4372support_inheritpixmap=yes
4377support_fading=yes 4373support_fading=yes
4378support_keepscrolling=yes 4374support_keepscrolling=yes
4379support_selectionscrolling=yes 4375support_selectionscrolling=yes
4394support_8bitctrls=no 4390support_8bitctrls=no
4395support_iso14755=yes 4391support_iso14755=yes
4396support_styles=yes 4392support_styles=yes
4397support_perl=yes 4393support_perl=yes
4398codesets=all 4394codesets=all
4399
4400 4395
4401 4396
4402# Check whether --enable-everything was given. 4397# Check whether --enable-everything was given.
4403if test "${enable_everything+set}" = set; then 4398if test "${enable_everything+set}" = set; then
4404 enableval=$enable_everything; 4399 enableval=$enable_everything;
7761fi 7756fi
7762 7757
7763done 7758done
7764 7759
7765 7760
7766{ echo "$as_me:$LINENO: checking whether termios.h and sys/ioctl.h may both be included" >&5
7767echo $ECHO_N "checking whether termios.h and sys/ioctl.h may both be included... $ECHO_C" >&6; }
7768if test "${rxvt_cv_header_sysioctl+set}" = set; then
7769 echo $ECHO_N "(cached) $ECHO_C" >&6
7770else
7771 cat >conftest.$ac_ext <<_ACEOF
7772/* confdefs.h. */
7773_ACEOF
7774cat confdefs.h >>conftest.$ac_ext
7775cat >>conftest.$ac_ext <<_ACEOF
7776/* end confdefs.h. */
7777#include <stdio.h>
7778#include <sys/ioctl.h>
7779#include <termios.h>
7780
7781int
7782main ()
7783{
7784int a = ECHO;
7785 ;
7786 return 0;
7787}
7788_ACEOF
7789rm -f conftest.$ac_objext
7790if { (ac_try="$ac_compile"
7791case "(($ac_try" in
7792 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
7793 *) ac_try_echo=$ac_try;;
7794esac
7795eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
7796 (eval "$ac_compile") 2>conftest.er1
7797 ac_status=$?
7798 grep -v '^ *+' conftest.er1 >conftest.err
7799 rm -f conftest.er1
7800 cat conftest.err >&5
7801 echo "$as_me:$LINENO: \$? = $ac_status" >&5
7802 (exit $ac_status); } && {
7803 test -z "$ac_cxx_werror_flag" ||
7804 test ! -s conftest.err
7805 } && test -s conftest.$ac_objext; then
7806 rxvt_cv_header_sysioctl=yes
7807else
7808 echo "$as_me: failed program was:" >&5
7809sed 's/^/| /' conftest.$ac_ext >&5
7810
7811 rxvt_cv_header_sysioctl=no
7812fi
7813
7814rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
7815fi
7816{ echo "$as_me:$LINENO: result: $rxvt_cv_header_sysioctl" >&5
7817echo "${ECHO_T}$rxvt_cv_header_sysioctl" >&6; }
7818
7819{ echo "$as_me:$LINENO: checking for XPointer" >&5 7761{ echo "$as_me:$LINENO: checking for XPointer" >&5
7820echo $ECHO_N "checking for XPointer... $ECHO_C" >&6; } 7762echo $ECHO_N "checking for XPointer... $ECHO_C" >&6; }
7821if test "${rxvt_cv_xpointer+set}" = set; then 7763if test "${rxvt_cv_xpointer+set}" = set; then
7822 echo $ECHO_N "(cached) $ECHO_C" >&6 7764 echo $ECHO_N "(cached) $ECHO_C" >&6
7823else 7765else
11899_ACEOF 11841_ACEOF
11900program_transform_name=`echo $program_transform_name | sed -f conftest.sed` 11842program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
11901rm -f conftest.sed 11843rm -f conftest.sed
11902 11844
11903 11845
11904
11905
11906
11907if test "$ac_cv_header_stdint_h" = "yes" -o "$notset" = "dontmatch"; then
11908 include_stdint_h="#include <stdint.h>"
11909else
11910 include_stdint_h="/* #include <stdint.h> */"
11911fi
11912if test "$rxvt_cv_header_sysioctl" = "yes" -o "$notset" = "dontmatch"; then
11913 include_sys_ioctl_h="#include <sys/ioctl.h>"
11914else
11915 include_sys_ioctl_h="/* #include <sys/ioctl.h> */"
11916fi
11917if test "$ac_cv_header_sys_strredir_h" = "yes" -o "$notset" = "dontmatch"; then
11918 include_sys_strredir_h="#include <sys/strredir.h>"
11919else
11920 include_sys_strredir_h="/* #include <sys/strredir.h> */"
11921fi
11922
11923ac_config_files="$ac_config_files Makefile doc/Makefile src/Makefile src/rxvtlib.h" 11846ac_config_files="$ac_config_files Makefile doc/Makefile src/Makefile"
11924 11847
11925cat >confcache <<\_ACEOF 11848cat >confcache <<\_ACEOF
11926# This file is a shell script that caches the results of configure 11849# This file is a shell script that caches the results of configure
11927# tests run on this system so they can be shared between configure 11850# tests run on this system so they can be shared between configure
11928# scripts and configure runs, see configure's option --config-cache. 11851# scripts and configure runs, see configure's option --config-cache.
12477 case $ac_config_target in 12400 case $ac_config_target in
12478 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.h.in" ;; 12401 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.h.in" ;;
12479 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;; 12402 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
12480 "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;; 12403 "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
12481 "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;; 12404 "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
12482 "src/rxvtlib.h") CONFIG_FILES="$CONFIG_FILES src/rxvtlib.h" ;;
12483 12405
12484 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5 12406 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
12485echo "$as_me: error: invalid argument: $ac_config_target" >&2;} 12407echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
12486 { (exit 1); exit 1; }; };; 12408 { (exit 1); exit 1; }; };;
12487 esac 12409 esac
12622PERLPRIVLIBEXP!$PERLPRIVLIBEXP$ac_delim 12544PERLPRIVLIBEXP!$PERLPRIVLIBEXP$ac_delim
12623IF_PERL!$IF_PERL$ac_delim 12545IF_PERL!$IF_PERL$ac_delim
12624PERL_O!$PERL_O$ac_delim 12546PERL_O!$PERL_O$ac_delim
12625AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim 12547AFTERIMAGE_CFLAGS!$AFTERIMAGE_CFLAGS$ac_delim
12626AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim 12548AFTERIMAGE_LIBS!$AFTERIMAGE_LIBS$ac_delim
12627include_stdint_h!$include_stdint_h$ac_delim
12628include_sys_ioctl_h!$include_sys_ioctl_h$ac_delim
12629include_sys_strredir_h!$include_sys_strredir_h$ac_delim
12630LIBOBJS!$LIBOBJS$ac_delim 12549LIBOBJS!$LIBOBJS$ac_delim
12631LTLIBOBJS!$LTLIBOBJS$ac_delim 12550LTLIBOBJS!$LTLIBOBJS$ac_delim
12632_ACEOF 12551_ACEOF
12633 12552
12634 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 88; then 12553 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 85; then
12635 break 12554 break
12636 elif $ac_last_try; then 12555 elif $ac_last_try; then
12637 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 12556 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
12638echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} 12557echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
12639 { (exit 1); exit 1; }; } 12558 { (exit 1); exit 1; }; }

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines